# Generated from gem-codesearch-0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gem-codesearch

Name: rubygem-%{gem_name}
Version: 0.3
Release: 1%{?dist}
Summary: Set up a full text code search engine for rubygems mirror
License: MIT
URL: https://github.com/akr/gem-codesearch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(builder) >= 3.2
# BuildRequires: rubygem(builder) < 4
# BuildRequires: rubygem(builder) >= 3.2.2
# BuildRequires: rubygem(test-unit) >= 3.0
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(test-unit) >= 3.0.8
BuildArch: noarch

%description
gem-codesearch sets up a full text code search engine for rubygems mirror.
It use rubygems-mirror to mirror rubygems and
"Code Search" (https://github.com/google/codesearch) for search engine.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/gem-codesearch-setup
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gem-codesearch.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3-1
- Initial package
